<!-- Page Heading -->
<div class="row mar-20">
    <div class="col-lg-8">
        <h1><a  ui-sref="dashboard.orders"> Studies </a></h1>
    </div>
    <!--<div class="col-lg-4" ng-if="user_group!='doctor'">
        <a ng-click="createOrder()" class="btn btn-lg btn-info pull-right btn-mar"><i class="fa fa-plus"></i>  Add Study</a>
    </div>!-->
</div>
<!-- /.row -->
<div class="row">
    <div class="col-lg-12">

        <table class="table">
              <thead>
                <tr>
                  <th>Study</th>
                  <th>Patient</th>
                  <th>Status</th>
                </tr>
              </thead>
              <tbody>
                <tr ng-repeat="order in results.orders">
                  <td>
                      <article class="media">
                            <span class="pull-left thumb-sm">
                                <a ui-sref="dashboard.order({guid: order.guid})">
                                    <i class="fa fa-file-text-o fa-3x icon-muted text-info"></i>
                                    <span style="margin-top:5px" class="label label-info ng-binding block">{{ order.modality }}</span>
                                </a>
                            </span>

                            <div class="media-body2">
                                <a style="margin-left: 5px" class="h4 ng-binding" ui-sref="dashboard.order({guid: order.guid})"> Study-{{ order.id }}</a>
                                <small class="block" style="margin-left: 40px">
                                    {{ order.created_at }}
                                </small>
                                <small class="block" ng-if="order.priority">
                                    <span ng-if="order.priority=='Routine'" class="label label-success ng-scope ng-binding"> {{ order.priority }}</span>
                                    <span  ng-if="order.priority=='STAT'" class="label label-danger ng-scope ng-binding"> {{ order.priority }}</span>
                                </small>

                            </div>

                        </article>
                  </td>
                  <td>

                        <strong class="block" ng-if="order.name">{{ order.name }}  ({{ order.age }})</strong>
                        <small class="block" ng-if="order.phone!='None'"> {{ order.phone }}</small>
                  </td>
                  <td>
                      <div class="media-xs text-muted">
                            <span class="block">
                                <small ng-if="order.status==0" class="label label-warning"> {{ order.status_text }}</small>
                                <small ng-if="order.status==1" class="label label-success"> {{ order.status_text }}</small>
                                <small ng-if="order.status==2" class="label label-info"> {{ order.status_text }}</small>
                                <small ng-if="order.status==3" class="label label-primary"> {{ order.status_text }}</small>
                                <small ng-if="order.status==4" class="label label-warning"> {{ order.status_text }}</small>
                                <small ng-if="order.status==5" class="label label-danger"> {{ order.status_text }}</small>
                                <small ng-if="order.status==6" class="label label-info"> {{ order.status_text }}</small>
                            </span>
                        </div>
                  </td>
                  
                </tr>
            </tbody>
        </table>


        <!-- <section ng-if="results.orders.length" class="panel panel-default portlet-item">
            <section class="panel-body">

                <div class="row" ng-repeat="order in results.orders">
                    <div class="col-lg-3">
                        <article class="media">
                            <span class="pull-left thumb-sm">
                                <a  ui-sref="dashboard.order({guid: order.guid})">
                                    <i class="fa fa-file-text-o fa-3x icon-muted text-info"></i>
                                </a>
                            </span>

                            <div class="media-body">
                                <a class="h4" ui-sref="dashboard.order({guid: order.guid})" >{{ order.accession_id }}</a>
                                <small class="block"><span class="label label-info">{{ order.modality }}</span></small>
                            </div>
                        </article>
                    </div>
                    <div class="col-lg-3">
                        <strong class="block">{{ order.name }}  ({{ order.age }})</strong>
                        <small class="block">{{ order.patient_id }}</small>
                        <small class="block" ng-if="order.phone!='None'"> {{ order.phone }}</small>

                    </div>
                    <div class="col-lg-3 mar-20">
                        <small class="block" ng-if="order.hospital"><i class="fa fa-hospital-o"></i> {{ order.hospital }}</small>
                        <small class="block" ng-if="order.doctor"><i class="fa fa-user-md"></i>   {{ order.doctor }}</small>


                    </div>

                    <div class="col-lg-3 mar-20">
                        <div class="media-xs text-muted">
                            <small class="label bg-light ng-binding">{{ order.created_at }}</small>
                            <span class="block">
                                <small ng-if="order.status==0" class="label label-default"> {{ order.status_text }}</small>
                                <small ng-if="order.status==1" class="label label-success"> {{ order.status_text }}</small>
                                <small ng-if="order.status==2" class="label label-info"> {{ order.status_text }}</small>
                                <small ng-if="order.status==3" class="label label-primary"> {{ order.status_text }}</small>
                                <small ng-if="order.status==4" class="label label-warning"> {{ order.status_text }}</small>
                                <small ng-if="order.status==5" class="label label-danger"> {{ order.status_text }}</small>
                            </span>
                            <span class="block">
                                <small ng-if="order.billing_status==0" class="label label-default"> {{ order.billing_status_text }}</small>
                                <small ng-if="order.billing_status==1" class="label label-success"> {{ order.billing_status_text }}</small>
                                <small ng-if="order.billing_status==2" class="label label-info"> {{ order.billing_status_text }}</small>
                                <small ng-if="order.billing_status==3" class="label label-primary"> {{ order.billing_status_text }}</small>
                            </span>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div ng-if="!$last" class="line pull-in"></div>
                </div>


            </section>
        </section> -->
    </div>
</div>

<pagination  items-per-page="20" ng-change="fetchResults()" total-items="bigTotalItems" ng-model="bigCurrentPage" max-size="maxSize" class="pagination-sm" boundary-links="true" rotate="false" num-pages="numPages"></pagination>

<!--
<div ng-if="!results.orders.length" class="row">
    <div class="col-lg-12">
        <h1 class="text-center">Sorry no order found</h1>
    </div>
</div>!-->
